List
curl --request GET \
--url https://api.nebius.cloud/mk8s/v1/node-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/mk8s/v1/node-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/mk8s/v1/node-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"template": {
"resources": {
"platform": "<string>",
"preset": "<string>"
},
"bootDisk": {
"blockSizeBytes": "<string>",
"sizeBytes": "<string>",
"sizeGibibytes": "<string>",
"sizeKibibytes": "<string>",
"sizeMebibytes": "<string>",
"type": "UNSPECIFIED"
},
"cloudInitUserData": "<string>",
"filesystems": [
{
"attachMode": "UNSPECIFIED",
"mountTag": "<string>",
"existingFilesystem": {
"id": "<string>"
}
}
],
"gpuCluster": {
"id": "<string>"
},
"gpuSettings": {
"driversPreset": "<string>"
},
"localDisks": {
"config": {
"kubeletEphemeral": true,
"none": true
},
"passthroughGroup": {
"requested": true
}
},
"maxPods": "<string>",
"metadata": {
"labels": {}
},
"networkInterfaces": [
{
"publicIpAddress": {},
"securityGroups": [
{
"id": "<string>"
}
],
"subnetId": "<string>"
}
],
"nvlink": {
"nvlInstanceGroupId": "<string>"
},
"os": "<string>",
"preemptible": {},
"reservationPolicy": {
"policy": "AUTO",
"reservationIds": [
"<string>"
]
},
"serviceAccountId": "<string>",
"taints": [
{
"effect": "EFFECT_UNSPECIFIED",
"key": "<string>",
"value": "<string>"
}
]
},
"autoRepair": {
"conditions": [
{
"type": "<string>",
"disabled": true,
"status": "CONDITION_STATUS_UNSPECIFIED",
"timeout": "<string>"
}
]
},
"autoscaling": {
"maxNodeCount": "<string>",
"minNodeCount": "<string>"
},
"fixedNodeCount": "<string>",
"strategy": {
"drainTimeout": "<string>",
"maxSurge": {
"count": "<string>",
"percent": "<string>"
},
"maxUnavailable": {
"count": "<string>",
"percent": "<string>"
}
},
"version": "<string>"
},
"status": {
"events": [
{
"firstOccurredAt": "2023-11-07T05:31:56Z",
"lastOccurrence": {
"code": "<string>",
"error": {
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
},
"level": "UNSPECIFIED",
"message": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
},
"occurrenceCount": "<string>"
}
],
"nodeCount": "<string>",
"outdatedNodeCount": "<string>",
"readyNodeCount": "<string>",
"reconciling": true,
"state": "STATE_UNSPECIFIED",
"strategy": {
"drainTimeout": "<string>",
"maxSurge": {
"count": "<string>",
"percent": "<string>"
},
"maxUnavailable": {
"count": "<string>",
"percent": "<string>"
}
},
"targetNodeCount": "<string>",
"version": "<string>"
}
}
],
"nextPageToken": "<string>"
}node-groups
List
GET
/
mk8s
/
v1
/
node-groups
List
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
ID of the parent Cluster.
Specifies the maximum number of items to return in the response.
Token for pagination, allowing the retrieval of the next set of results.
Was this page helpful?
⌘I